#! /bin/bash

service_array=(config-manager watch-dog cloud-proxy RemoteTerminalDaemon service-monitor)

if [ $# == 3 ] ; then
        cd /linkedge/gateway/build/bin && ./mbusd >>/tmp/linkedge.log 2>&1
        sleep 1
        ./tool_config -g3 $1 $2 $3
fi

if [ $# == 5 ] ; then
        cd /linkedge/gateway/build/bin && ./mbusd >>/tmp/linkedge.log 2>&1
        sleep 1
        ./tool_config -g3 $1 $2 $3
        sleep 1
        ./tool_config -s gw_system_as_host $4
        sleep 1
        ./tool_config -s gw_system_as_port $5
fi

#Terminate the service started
stop_services() {
        cd /linkedge/gateway/build/script
	./iot_gateway_stop_lite.sh
}

start_services(){

        #create mbus mbusd dir
        mkdir -p /var/tmp/var/run/mbusd/

        #first start the mbus
        cd /linkedge/gateway/build/bin && ./mbusd >>/tmp/linkedge.log 2>&1
        sleep 1
        ${Q}echo -e "[  \033[32m+\033[0m  ]  Start Service: mbusd"

        cd /linkedge/gateway/build/bin && ./logger
        ${Q}echo -e "[  \033[32m+\033[0m  ]  Start Service: logger"

        for service in ${service_array[@]}
        do
            cd /linkedge/gateway/build/bin
            (./${service} &>/dev/null &)
            ${Q}echo -e "[  \033[32m+\033[0m  ]  Start Service: ${service}"
            sleep 1
        done
}

display_pkdnds(){
        cd /linkedge/gateway/build/bin && ./tool_config -g3
}

${Q}echo "----------------------------------------------------------"
${Q}echo -e "              \033[0;31mStop Link IoT Edge Lite Running Services\033[0m"
${Q}echo "----------------------------------------------------------"
stop_services
${Q}echo ""

${Q}echo "----------------------------------------------------------"
${Q}echo -e "           \033[32mStart Link IoT Edge Services Success\033[0m   "
${Q}echo "----------------------------------------------------------"
${Q}echo ""
start_services

${Q}echo "----------------------------------------------------------"
${Q}echo -e "              \033[0;33mDisplay Link IoT Edge Info \033[0m"
${Q}echo "----------------------------------------------------------"
display_pkdnds
${Q}echo ""

